<Project Sdk="Microsoft.NET.Sdk">

	<Sdk Name="Aspire.AppHost.Sdk" Version="9.0.0" />

	<PropertyGroup>
		<OutputType>Exe</OutputType>
		<TargetFramework>net9.0</TargetFramework>
		<ImplicitUsings>enable</ImplicitUsings>
		<Nullable>enable</Nullable>
		<IsAspireHost>true</IsAspireHost>
		<UserSecretsId>ee4f8e12-ccfe-4b55-94bb-c86fe3a6b387</UserSecretsId>
	</PropertyGroup>

	<ItemGroup>
		<PackageReference Include="Aspire.Hosting.AppHost" Version="9.4.1" />
		<PackageReference Include="Aspire.Hosting.Redis" Version="9.4.1" />
	</ItemGroup>

	<ItemGroup>
	  <ProjectReference Include="..\RobotNet.IdentityServer\RobotNet.IdentityServer.csproj" />
	  <ProjectReference Include="..\RobotNet.MapManager\RobotNet.MapManager.csproj" />
	  <ProjectReference Include="..\RobotNet.RobotManager\RobotNet.RobotManager.csproj" />
	  <ProjectReference Include="..\RobotNet.ScriptManager\RobotNet.ScriptManager.csproj" />
	  <ProjectReference Include="..\RobotNet.WebApp\RobotNet.WebApp.csproj" />
	</ItemGroup>

</Project>
